# ReplyMarkup - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.CommonAbstracts.types / ReplyMarkup

# ReplyMarkup

(common) `interface ReplyMarkup` (source)

### Properties

(common)

#### replyMarkup

`abstract val replyMarkup: KeyboardMarkup?`

### Inheritors

(common)

#### EditReplyMessage

`interface EditReplyMessage : ReplyMarkup`

(common)

#### ReplyingMarkupSendMessageRequest

`interface ReplyingMarkupSendMessageRequest<T : Any> : SendMessageRequest<T>, ReplyMarkup`

(common)

#### SendGame

`data class SendGame : SendMessageRequest<ContentMessage<GameContent>>, ReplyMarkup`

(common)

#### SendInvoice

`data class SendInvoice : Currencied, Priced, ChatRequest, DisableNotification, ReplyMessageId, ReplyMarkup, SendMessageRequest<ContentMessage<InvoiceContent>>`

(common)

#### StopPoll

`data class StopPoll : MessageAction, SimpleRequest<Poll>, ReplyMarkup`